#小程序发布版本控制
class CreateXcxVersions < ActiveRecord::Migration
  def up
    create_table :xcx_versions do |t|
    	#版本号
    	t.column :version, :string, :limit=>64, :null=>false
    	#描述
    	t.column :desc, :string
    	#是否上线
    	t.column :state, :boolean, :default=>false
    	t.timestamps
    end
    add_index :xcx_versions, :version, :unique => true

  end

  def down
  	drop_table :xcx_versions
  end
end
